주요 콘텐츠로 건너뛰기

이 브라우저는 더 이상 지원되지 않습니다.

최신 기능, 보안 업데이트, 기술 지원을 이용하려면 Microsoft Edge로 업그레이드하세요.

Microsoft Edge 다운로드 Internet Explorer 및 Microsoft Edge에 대한 추가 정보
microsoft-foundry.rest.security.o-auth2-auth

Vector stores

Create a vector store file

POST /openai/v1/vector_stores/{vector_store_id}/files

Creates a vector store file from the supplied request.

경로 매개 변수

vector_store_id string 필수

The ID of the vector store for which to create a File.

요청 본문

The request body.

Content-Type: application/json
file_id string 필수

A File ID that the vector store should use. Useful for tools like file_search that can access files. For multi-file ingestion, we recommend file_batches to minimize per-vector-store write requests.

chunking_strategy auto | static

The chunking strategy used to chunk the file(s). If not set, will use the auto strategy.

(다음 버전 중 하나)
auto OpenAI.AutoChunkingStrategyRequestParam

The default strategy. This strategy currently uses a max_chunk_size_tokens of 800 and chunk_overlap_tokens of 400.

type enum 필수

Always auto.

auto
static OpenAI.StaticChunkingStrategyRequestParam

Customize your own chunking strategy by setting chunk size and chunk overlap.

type enum 필수

Always static.

static
static OpenAI.StaticChunkingStrategy 필수
max_chunk_size_tokens integer 필수
chunk_overlap_tokens integer 필수
attributes OpenAI.VectorStoreFileAttributes | null

Set of 16 key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format, and querying for objects via API or the dashboard. Keys are strings with a maximum length of 64 characters. Values are strings with a maximum length of 512 characters, booleans, or numbers.

[key: string] string | OpenAI.numeric | boolean
다음 중 하나:
string
number
boolean

응답

The request has succeeded.

본문

Content-Type: application/json
id string 필수

The identifier, which can be referenced in API endpoints.

object enum 필수

The object type, which is always vector_store.file.

vector_store.file
usage_bytes integer 필수
created_at integer 필수

The Unix timestamp (in seconds) for when the vector store file was created.

vector_store_id string 필수

The ID of the vector store that the File is attached to.

status enum 필수

The status of the vector store file, which can be either in_progress, completed, cancelled, or failed. The status completed indicates that the vector store file is ready for use.

in_progresscompletedcancelledfailed
last_error OpenAI.VectorStoreFileObjectLastError | null 필수
code enum 필수
server_errorunsupported_fileinvalid_file
message string 필수
attributes OpenAI.VectorStoreFileAttributes | null

Set of 16 key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format, and querying for objects via API or the dashboard. Keys are strings with a maximum length of 64 characters. Values are strings with a maximum length of 512 characters, booleans, or numbers.

[key: string] string | OpenAI.numeric | boolean
다음 중 하나:
string
number
boolean
chunking_strategy static | other

The strategy used to chunk the file.

(다음 버전 중 하나)
static OpenAI.StaticChunkingStrategyResponseParam
type enum 필수

Always static.

static
static OpenAI.StaticChunkingStrategy 필수
max_chunk_size_tokens integer 필수
chunk_overlap_tokens integer 필수
other OpenAI.OtherChunkingStrategyResponseParam

This is returned when the chunking strategy is unknown. Typically, this is because the file was indexed before the chunking_strategy concept was introduced in the API.

type enum 필수

Always other.

other

Client error

본문

Content-Type: application/json
error OpenAI.Error 필수
code string | null 필수
message string 필수
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
다음 중 하나:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string 필수

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

본문

Content-Type: application/json
error OpenAI.Error 필수
code string | null 필수
message string 필수
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
다음 중 하나:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string 필수

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

요청

curl https://api.openai.com/v1/vector_stores/vs_abc123/files \
    -H "Authorization: Bearer $OPENAI_API_KEY" \
    -H "Content-Type: application/json" \
    -H "OpenAI-Beta: assistants=v2" \
    -d '{
      "file_id": "file-abc123"
    }'
import os
from openai import OpenAI

client = OpenAI(
    api_key=os.environ.get("OPENAI_API_KEY"),  # This is the default and can be omitted
)
vector_store_file = client.vector_stores.files.create(
    vector_store_id="vs_abc123",
    file_id="file_id",
)
print(vector_store_file.id)
import OpenAI from "openai";
const openai = new OpenAI();

async function main() {
  const myVectorStoreFile = await openai.vectorStores.files.create(
    "vs_abc123",
    {
      file_id: "file-abc123"
    }
  );
  console.log(myVectorStoreFile);
}

main();
import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: process.env['OPENAI_API_KEY'], // This is the default and can be omitted
});

const vectorStoreFile = await client.vectorStores.files.create('vs_abc123', { file_id: 'file_id' });

console.log(vectorStoreFile.id);
package main

import (
    "context"
    "fmt"

    "github.com/openai/openai-go"
    "github.com/openai/openai-go/option"
)

func main() {
    client := openai.NewClient(
        option.WithAPIKey("My API Key"),
    )
    vectorStoreFile, err := client.VectorStores.Files.New(
        context.TODO(),
        "vs_abc123",
        openai.VectorStoreFileNewParams{
            FileID: "file_id",
        },
    )
    if err != nil {
        panic(err.Error())
    }
    fmt.Printf("%+v
", vectorStoreFile.ID)
}
package com.openai.example;

import com.openai.client.OpenAIClient;
import com.openai.client.okhttp.OpenAIOkHttpClient;
import com.openai.models.vectorstores.files.FileCreateParams;
import com.openai.models.vectorstores.files.VectorStoreFile;

public final class Main {
    private Main() {}

    public static void main(String[] args) {
        OpenAIClient client = OpenAIOkHttpClient.fromEnv();

        FileCreateParams params = FileCreateParams.builder()
            .vectorStoreId("vs_abc123")
            .fileId("file_id")
            .build();
        VectorStoreFile vectorStoreFile = client.vectorStores().files().create(params);
    }
}
require "openai"

openai = OpenAI::Client.new(api_key: "My API Key")

vector_store_file = openai.vector_stores.files.create("vs_abc123", file_id: "file_id")

puts(vector_store_file)

응답

{
  "id": "file-abc123",
  "object": "vector_store.file",
  "created_at": 1699061776,
  "usage_bytes": 1234,
  "vector_store_id": "vs_abcd",
  "status": "completed",
  "last_error": null
}
ko-kr
사용자의 개인 정보 보호 선택
  • AI 고지 사항
  • 이전 버전
  • 블로그
  • 참가
  • 개인 정보 보호
  • 소비자 건강 개인 정보
  • 사용 조건
  • 상표
  • © Microsoft 2026